package com.inkasso.factoring.bocom.register.enums;

public enum BocomCustomerStatuEnums {

    SUCCESS("bocomCustomerStatus_success", "生效"),

    FAIL("bocomCustomerStatus_fail", "待生效"),

    TERMINATION("bocomCustomerStatus_termination", "终止");

    String code;

    String desc;

    BocomCustomerStatuEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static BocomCustomerStatuEnums getByCode(String code) {
        for (BocomCustomerStatuEnums ft : values()) {
            if (ft.code.equals(code)) {
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
