package com.inkasso.factoring.bocom.vipaccount.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

/**
 * <p>
 * 会员账户-静默户信息表
 * </p>
 *
 * @author wangyafan
 * @since 2024-07-29
 */
@TableName("bocom_vip_silent_account_info")
public class BocomVipSilentAccountInfo extends BaseEntity {

    /**
     * 会员账户-基础信息表id
     */
    @TableField("bocom_vip_account_basic_info_id")
    private Long bocomVipAccountBasicInfoId;

    /**
     * 付款方打款账户名称
     */
    @TableField("payer_account_name")
    private String payerAccountName;

    public Long getBocomVipAccountBasicInfoId() {
        return bocomVipAccountBasicInfoId;
    }

    public void setBocomVipAccountBasicInfoId(Long bocomVipAccountBasicInfoId) {
        this.bocomVipAccountBasicInfoId = bocomVipAccountBasicInfoId;
    }
    public String getPayerAccountName() {
        return payerAccountName;
    }

    public void setPayerAccountName(String payerAccountName) {
        this.payerAccountName = payerAccountName;
    }

    @Override
    public String toString() {
        return "BocomVipSilentAccountInfo{" +
            "bocomVipAccountBasicInfoId=" + bocomVipAccountBasicInfoId +
            ", payerAccountName=" + payerAccountName +
        "}";
    }
}
