package com.inkasso.factoring.bocom.vipaccount.entity.vo;

import com.inkasso.factoring.bocom.vipaccount.entity.BocomVipAccountBasicInfo;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 会员登记簿列表vo类
 * @Author Yafan Wang
 * @Date 2024/8/7 9:35
 */
public class BocomVipAccountListVo {

    /**
     * 账户信息
     */
    private Long bocomBasicInfoId;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 客户号
     */
    private String customerNumber;

    /**
     * 客户状态
     */
    private String customerStatus;

    /**
     * 认证人
     */
    private String authenticator;

    /**
     * 会员登记簿信息
     */
    private List<BocomVipAccountBasicInfo> vipAccountBasicInfoList = new ArrayList<>();

    public Long getBocomBasicInfoId() {
        return bocomBasicInfoId;
    }

    public void setBocomBasicInfoId(Long bocomBasicInfoId) {
        this.bocomBasicInfoId = bocomBasicInfoId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerNumber() {
        return customerNumber;
    }

    public void setCustomerNumber(String customerNumber) {
        this.customerNumber = customerNumber;
    }

    public List<BocomVipAccountBasicInfo> getVipAccountBasicInfoList() {
        return vipAccountBasicInfoList;
    }

    public void setVipAccountBasicInfoList(List<BocomVipAccountBasicInfo> vipAccountBasicInfoList) {
        this.vipAccountBasicInfoList = vipAccountBasicInfoList;
    }

    public String getCustomerStatus() {
        return customerStatus;
    }

    public void setCustomerStatus(String customerStatus) {
        this.customerStatus = customerStatus;
    }

    public String getAuthenticator() {
        return authenticator;
    }

    public void setAuthenticator(String authenticator) {
        this.authenticator = authenticator;
    }
}
